Page MenuHomePhabricator

Make the repository "Filesize Limit" and "Clone/Fetch Timeout" configurable in the UI
ClosedPublic

Authored by epriestley on Nov 22 2018, 1:18 AM.
Tags
None
Referenced Files
Unknown Object (File)
Wed, Feb 28, 10:55 AM
Unknown Object (File)
Thu, Feb 22, 7:07 PM
Unknown Object (File)
Sat, Feb 17, 10:42 AM
Unknown Object (File)
Fri, Feb 16, 2:36 PM
Unknown Object (File)
Sat, Feb 3, 7:59 PM
Unknown Object (File)
Jan 28 2024, 12:20 PM
Unknown Object (File)
Jan 26 2024, 11:38 AM
Unknown Object (File)
Dec 25 2023, 6:53 AM
Subscribers
Restricted Owners Package

Details

Summary

Depends on D19830. Ref T13216. See PHI908. See PHI750. See PHI885. Allow users to configure a filesize limit, and allow them to adjust the clone/fetch timeout.

Test Plan

Screen Shot 2018-11-21 at 5.17.01 PM.png (844×1 px, 102 KB)

  • Configured a filesize limit and pushed, hit it. Made the limit larger and pushed, change went through.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Owners added a subscriber: Restricted Owners Package.Nov 22 2018, 1:18 AM
epriestley added inline comments.
src/applications/diffusion/management/DiffusionRepositoryLimitsManagementPanel.php
102

(Ignore this, test.)

amckinley added inline comments.
src/applications/diffusion/editor/DiffusionRepositoryEditEngine.php
475

I guess it's your own damn fault if you set filesize limit to "🐐" or something, but I'm kind of surprised there's no PhabricatorNautralNumberEditField or similar.

src/applications/diffusion/management/DiffusionRepositoryLimitsManagementPanel.php
25

This is so we can eventually enable a default value for this?

src/applications/repository/storage/PhabricatorRepository.php
1901

If it's too late to change this, no big deal, but limit.copyTime or similar might be more clear.

src/applications/repository/xaction/PhabricatorRepositoryCopyTimeLimitTransaction.php
10

Just making sure you meant to use getCopyTimeLimit() instead of getEffectiveCopyTimeLimit() here. I guess this version makes more sense because if we changed the default in the code, suddenly old transactions would render differently.

65–73

And this handles the validation I was worried about above.

src/applications/repository/xaction/PhabricatorRepositoryFilesizeLimitTransaction.php
69

"Unable to parse filesize limit, specify a positive number of bytes."

src/docs/user/userguide/diffusion_managing.diviner
249

This also affects the timeout on the initial import, right? Worth documenting as "If you're having trouble importing a particularly large repository, try increasing this value above the default (900 seconds)."?

This revision is now accepted and ready to land.Nov 28 2018, 6:25 PM